# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:          awesfx
Version:       0.5.1c
Release:       alt1_7
Summary:       Utility programs for the AWE32/Emu10k1 sound driver
Group:         Sound
URL:           http://www.alsa-project.org/~iwai/awedrv.html
Source0:       http://ftp.suse.com/pub/people/tiwai/awesfx/awesfx-%{version}.tar.bz2
Source1:       udev-soundfont
Source2:       load-soundfont
Source3:       41-soundfont.rules
Patch0:        rename-getline-to-parseline.patch
License:       GPLv2+

BuildRequires: libalsa-devel >= 1.0.0
Source44: import.info

%description
The awesfx package contains various utility programs for controlling the 
AWE32/Emu10k1 sound driver. AWESFX includes asxfload and sfxload, the 
soundfont loaders; setfx, the chorus/reverb effect loader; aweset, a 
controller for setting parameters; and programs for converting soundfonts 
to text.

If you use an AWE32 or Emu10k1 sound driver you should install the awesfx 
package.

%prep
%setup -q

%patch0 -p1

%build
%configure CFLAGS="$RPM_OPT_FLAGS"
make  %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} INSTALL="install -p" install
install -Dp -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/alsa.d/udev-soundfont
install -Dp -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/alsa.d/load-soundfont
install -Dp -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/udev/rules.d/41-soundfont.rules
mkdir -p %{buildroot}%{_datadir}/soundfonts
mv %{buildroot}%{_datadir}/sounds/sf2/*.bnk %{buildroot}%{_datadir}/soundfonts
rm -rf %{buildroot}%{_datadir}/sounds
rm -f samples/Makefile*
mkdir -p %buildroot/etc/sysconfig
touch %buildroot/etc/sysconfig/awesfx

%files
%doc AUTHORS COPYING ChangeLog README SBKtoSF2.txt samples/README-bank samples/setfx-sample.cfg
%{_bindir}/*
%attr(0755, root, root) %{_sysconfdir}/alsa.d
%{_sysconfdir}/alsa.d/udev-soundfont
%{_sysconfdir}/alsa.d/load-soundfont
%config(noreplace) %{_sysconfdir}/udev/rules.d/41-soundfont.rules
%{_datadir}/soundfonts/
%{_mandir}/man*/*.1*
%config(noreplace) /etc/sysconfig/awesfx

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1c-alt1_7
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.1c-alt1_6
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.1c-alt1_5
- first import

